﻿<?xml version="1.0" encoding="utf-8" ?>
<p:BasePage xmlns:p="clr-namespace:EventQMobileApp;assembly=EventQMobileApp"
            xmlns="http://xamarin.com/schemas/2014/forms"
            xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
            xmlns:d="http://xamarin.com/schemas/2014/forms/design"
            xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
            xmlns:prism="clr-namespace:Prism.Mvvm;assembly=Prism.Forms"
            prism:ViewModelLocator.AutowireViewModel="true"
            xmlns:local="clr-namespace:EventQMobileApp;assembly=EventQMobileApp"
            x:Name="ActiveEventPage"
            mc:Ignorable="d"
            x:Class="EventQMobileApp.ActiveEventsPage">
    <p:BasePage.Resources>
        <ResourceDictionary>
            <local:EventTemplateSelector x:Key="eventTemplate" />
            <local:BooleanToStringConverter x:Key="SyncTextConverter"
                                            SuccessValue="SYNCING..."
                                            FailureValue="SYNC"/>
            <local:BooleanToDoubleConverter x:Key="booleanToDoubleConverter"
                                            SuccessValue="175"
                                            FailureValue="110"/>
        </ResourceDictionary>
    </p:BasePage.Resources>
    <p:BasePage.Content>
        <Grid HorizontalOptions="FillAndExpand">
            <Grid x:Name="MainGrid">
                <Grid.RowDefinitions>
                    <RowDefinition>
                        <RowDefinition.Height>
                            <OnIdiom x:TypeArguments="GridLength"
                                     Tablet="120"
                                     Phone="80"/>
                        </RowDefinition.Height>
                    </RowDefinition>
                    <RowDefinition Height="0.1" />
                    <RowDefinition Height="91.9*" />
                </Grid.RowDefinitions>
                <Grid Grid.Row="0">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition>
                            <ColumnDefinition.Width>
                                <OnIdiom x:TypeArguments="GridLength"
                                         Tablet="20*" Phone="0" />
                            </ColumnDefinition.Width>
                        </ColumnDefinition>
                        <ColumnDefinition>
                            <ColumnDefinition.Width>
                                <OnIdiom x:TypeArguments="GridLength"
                                         Tablet="60*" Phone="100*" />
                            </ColumnDefinition.Width>
                        </ColumnDefinition>
                        <ColumnDefinition>
                            <ColumnDefinition.Width>
                                <OnIdiom x:TypeArguments="GridLength"
                                         Tablet="20*" Phone="0" />
                            </ColumnDefinition.Width>
                        </ColumnDefinition>
                    </Grid.ColumnDefinitions>

                    <Image x:Name="SignOut" Grid.Column="0"
                           VerticalOptions="Center" HorizontalOptions="CenterAndExpand"
                           HeightRequest="100" WidthRequest="100"
                           Source="SignOut.png" Aspect="AspectFit" />

                    <StackLayout Grid.Column="1" Orientation="Vertical" Margin="30,0">

                        <Label Text="Active Events"
                               d:Text="Active Events"
                               TextColor="{StaticResource ThemeColor}"
                               VerticalOptions="EndAndExpand" HorizontalOptions="CenterAndExpand"
                               FontSize="32"
                               FontAttributes="Bold" />

                        <local:RoundedSearchbar x:Name="S_bar"
                                                Grid.Column="1"
                                                Placeholder="Search"
                                                SearchCommand="{Binding SearchKeywordChangedCommand}"
                                                TextChanged="OnTextChanged"
                                                Text="{Binding Keyword}"
                                                HeightRequest="50" />
                    </StackLayout>
                    <local:ImageTextButton Grid.Column="2"
                                           Text="{Binding IsSyncing, Converter={StaticResource SyncTextConverter}}"
                                           IconSource="syncicon.png"
                                           Animate="{Binding IsSyncing}"
                                           Command="{Binding SyncAllCommand}"
                                           WidthRequest="{Binding IsSyncing,Converter={StaticResource booleanToDoubleConverter}}"
                                           HorizontalOptions="Center"
                                           HeightRequest="70"
                                           Margin="5,40" />
                </Grid>
                <!--	Sub Grid For Searchbar and Listview	-->
                <Grid Grid.Row="2" x:Name="SubGrid" >
                    <Grid.RowDefinitions>
                        <RowDefinition Height="0.5" />
                        <RowDefinition Height="5" />
                        <RowDefinition Height="99.5*" />
                    </Grid.RowDefinitions>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition>
                            <ColumnDefinition.Width>
                                <OnIdiom x:TypeArguments="GridLength"
                                         Tablet="0*" Phone="0" />
                            </ColumnDefinition.Width>
                        </ColumnDefinition>
                        <ColumnDefinition>
                            <ColumnDefinition.Width>
                                <OnIdiom x:TypeArguments="GridLength"
                                         Tablet="100*" Phone="100*" />
                            </ColumnDefinition.Width>
                        </ColumnDefinition>
                        <ColumnDefinition>
                            <ColumnDefinition.Width>
                                <OnIdiom x:TypeArguments="GridLength"
                                         Tablet="0*" Phone="0" />
                            </ColumnDefinition.Width>
                        </ColumnDefinition>
                    </Grid.ColumnDefinitions>

                    <BoxView Color="{StaticResource EventQBoxview}" Grid.Row="1" HeightRequest="0.1" Grid.Column="1" />

                    <Label x:Name="Lbl_NoResultFound"
                           Grid.Row="2" Grid.Column="1"
                           Style="{StaticResource Label_NoInfoText}"
                           IsVisible="false"/>

                    <!--	Stacklayout For Align The Listview		-->
                    <StackLayout x:Name="liststack"
                                 Grid.Row="2" Grid.Column="1"
                                 HorizontalOptions="FillAndExpand"
                                 Orientation="Horizontal">

                        <ListView x:Name="Lstvw_Cases"
                                  HorizontalScrollBarVisibility="Always"
                                  BackgroundColor="Transparent"
                                  SeparatorVisibility="None"
                                  VerticalOptions="Start"
                                  HasUnevenRows="true"
                                  RowHeight="{OnIdiom Phone=80,Tablet=120}"
                                  SelectedItem="{Binding SelectedItem}"
                                  ItemsSource="{Binding EventsList}"
                                  ItemTemplate="{StaticResource eventTemplate}">
                            <ListView.Behaviors>
                                <local:EventToCommandBehavior
                                    EventName="ItemTapped"
                                    Command="{Binding ListItemTappedCommand}"
                                    CommandParameter="{Binding SelectedItem}" />
                            </ListView.Behaviors>
                            <ListView.Footer>
                                <StackLayout IsVisible="{Binding IsLoading}"
                                             HorizontalOptions="FillAndExpand"
                                             VerticalOptions="StartAndExpand">

                                    <ActivityIndicator
                                        IsRunning="True" HeightRequest="50"
                                        Color="{StaticResource ThemeColor}"
                                        HorizontalOptions="Center"
                                        VerticalOptions="CenterAndExpand"/>
                                </StackLayout>
                            </ListView.Footer>
                        </ListView>
                    </StackLayout>
                </Grid>
            </Grid>

            <Grid HorizontalOptions="FillAndExpand"
                  VerticalOptions="FillAndExpand"
                  BackgroundColor="Transparent"
                  IsVisible="{Binding IsVisibleSyncing}">

                <Grid HorizontalOptions="FillAndExpand"
                      VerticalOptions="FillAndExpand">

                    <Image Source="transparentImage.png"
                           Aspect="AspectFill"
                           HorizontalOptions="FillAndExpand"
                           VerticalOptions="FillAndExpand"></Image>
                </Grid>
                <Grid>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="40*" />
                        <RowDefinition Height="20*" />
                        <RowDefinition Height="40*" />
                    </Grid.RowDefinitions>
                    <Grid Grid.Row="1">
                        <Grid.RowDefinitions>
                            <RowDefinition Height="40*" />
                            <RowDefinition Height="60*" />
                        </Grid.RowDefinitions>

                        <ActivityIndicator x:Name="ActInd_Downloading"
                                           Grid.Row="0" IsVisible="True"
                                           VerticalOptions="EndAndExpand"
                                           HorizontalOptions="Center"
                                           IsRunning="True"
                                           Color="White" />
                        <Label Text="Syncing..."
                               TextColor="White"
                               Grid.Row="1"
                               VerticalOptions="StartAndExpand"
                               HorizontalOptions="Center" />

                    </Grid>
                </Grid>

            </Grid>
        </Grid>
    </p:BasePage.Content>
</p:BasePage>
